> For the complete documentation index, see [llms.txt](https://docs.apolo.us/index/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apolo.us/index/apolo-actions-reference/reference/remote-debug.md).

# Remote Debug

This is an [apolo-flow](https://docs.apolo.us/apolo-flow-reference) action enabling remote debugging. It's intended to be used with Apolo [platform template](https://github.com/neuro-inc/cookiecutter-neuro-project), but can be adapted for other use cases as well.

This action exposes SSH port 22 and maps it to port 2211 used for the PyCharm remote Python debugging feature.

It also expects references to 4 remote folders: for data, config, code, and results. These remotes will be mounted to `/project/data`, `/project/config`, `/project/modules` and `/project/results` respectively.

{% hint style="info" %}
Feel free to check the [Remote Debug action repository](https://github.com/apolo-actions/remote_debug).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apolo.us/index/apolo-actions-reference/reference/remote-debug.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
